Ariane Soft PPL2 Pocket Programming DataMite
  #1  
Old 09-01-2009, 03:32 PM
frizou frizou is offline
Junior Member
 
Join Date: Aug 2009
Location: Repentigny, Quebec, Canada
Posts: 12
Default Newbie new to programming - Pocket PC

Hello to all,

Another newbie question.

I would like to make the HelloWorld work on my old Ipaq pocket PC, it has pocket PC 2002 pro on it.

I did the HelloWorld in Mobile form and i did try to run it from the menu mobile-run, but i get the following message from pide. see attachement

My firewall was off and the sync did connect, i did transfert files on the pocket pc.

But the message seems to tell me then i need ppl install on the pocket pc is this right, if so how do i install it.

Thanks.

Mario
Attached Thumbnails
Click image for larger version

Name:	HelloWorld12.jpg
Views:	388
Size:	89.6 KB
ID:	287  
Attached Files
File Type: zip HelloWorld.zip (603.4 KB, 402 views)
Reply With Quote
  #2  
Old 09-01-2009, 03:51 PM
frizou frizou is offline
Junior Member
 
Join Date: Aug 2009
Location: Repentigny, Quebec, Canada
Posts: 12
Default

Here is the error message in attachement.

Thanks.

Mario
Attached Thumbnails
Click image for larger version

Name:	HelloWorld PockePc2.jpg
Views:	350
Size:	96.7 KB
ID:	290  
Reply With Quote
  #3  
Old 09-01-2009, 04:04 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

Double-check to make sure the folder \Program Files\PPL2 exists on your device. The error message tells you that it does not exists.
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
  #4  
Old 09-01-2009, 09:47 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

Just talked to Frizou on the phone (he called me) and sorted the problem out. It was due to the fact that he is an early adopter and one default setting has been updated between 2.0 and 2.1 but this setting is not inserted into the user's preference settings during setup.

He needed to change Preferences -> Debugger -> Mobile_IP to ppp_peer
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
  #5  
Old 09-01-2009, 10:07 PM
frizou frizou is offline
Junior Member
 
Join Date: Aug 2009
Location: Repentigny, Quebec, Canada
Posts: 12
Talking

The processor is a Intel PXA255 with 46.74MB.

The version on Pocket PC is 3.011171 and the model of the IPAQ is a H1910.

Mario
Reply With Quote
  #6  
Old 09-01-2009, 10:50 PM
frizou frizou is offline
Junior Member
 
Join Date: Aug 2009
Location: Repentigny, Quebec, Canada
Posts: 12
Talking

I get a new message, i did install a cab file named WINMOSDK, so i have now on the IPAQ ppl and ppl demo on the Ipaq.

But when i run the ppl from on the pocket PC i get an error, you can see the essage in attachement.

So i did go on the Pocket PC in My Device- Program Files- PPL2 and i did try using the files from the WM5, WM2003 and ppc2003 over the original ones and i got some other error.

Did i use the right cab file?

Thanks.

Mario
Attached Thumbnails
Click image for larger version

Name:	009.jpg
Views:	322
Size:	89.8 KB
ID:	294   Click image for larger version

Name:	HelloWorld PockePc3.jpg
Views:	335
Size:	92.6 KB
ID:	295   Click image for larger version

Name:	HelloWorld PockePc23.jpg
Views:	309
Size:	86.5 KB
ID:	296  
Reply With Quote
  #7  
Old 09-02-2009, 01:54 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

I could probably have an SH3 build if needed, I have never ran across an SH3. I have an Asus A620 (PXA255 ARMv5TE), Axim X51v (PXA270 ARMv5TE) and ETEN M800 (SC32442 ARMv4T). I will confirm with you today on that possibility...
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
  #8  
Old 09-02-2009, 02:27 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

Just had a quick look in pdadb and your phone has the following:

PXA250 ARMv5TE

So it should support Thumb.

What I did is that I replaced the PocketPC 2003 build from ARM4T or ARM4 (non thumb) which should be supported by pretty much all devices.

All XSCALE processors PXA___ are ARM5TE.

SH3 and MIPS architectures are not ARM, they are different processors.
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
  #9  
Old 09-02-2009, 05:18 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

Now that I think about it, SH3 might be a little tough. All the libraries that are used must be built for SH3 as well. I will put it in my to-do list with a low priority level.

I completely forgot about that camera library. Please send me a new email about, I will look into it.
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 10:13 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Copyright (c) ArianeSoft Inc.
Copyright © 2009 www.ppl-lang.com - All rights reserved
Web Design by BR Web Consulting Ltd